package discovery

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"github.com/google/gopacket"
)

type Port struct {
	MetaPortTypeKey	string			`json:"metaPortTypeKey,omitempty"`
	PortNumber		json.Number		`json:"portNumber, omitempty"`
	DiscoveredDate *util.Timestamp 	`json:"discoveredDate, omitempty"`

	Host *Host `json:"host,omitempty"`

	ServiceList	[]Service	`json:"serviceList, omitempty"`

	UDPLayer gopacket.Layer `json:"-"`

	//Host *Host `json:"host,omitempty"`
	//
	//ID         json.Number        `json:"id,Number,omitempty"`
	//PortType   constants.PortType `json:"portType,omitempty"`
	//PortNumber json.Number        `json:"portNumber,omitempty"`
	//
	//DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
	//
	//UDPLayer gopacket.Layer `json:"-"`
}
