package meta

import (
	"encoding/json"
	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow_backup_2018_0455/overflow_service/proxy/meta"
)

type MetaTargetType struct {
	ID 			  json.Number 	      `json:"id, Number, omitempty"`
	MetaInfraType *meta.MetaInfraType `json:"metaInfraType, omitempty"`
	Key 		  string			  `json:"key, omitempty"`
	Name 		  string			  `json:"name, omitempty"`
	IsSupported   bool			      `json:"isSupported, omitempty"`
	CreateDate    *util.Timestamp     `json:"createDate,omitempty"`

}
