package discovery

import (
	"git.loafle.net/overflow/commons-go/core/util"
	"sync"
)

type Zone struct {
	//ID      json.Number `json:"id,Number,omitempty"`
	//Network string      `json:"network,omitempty"`
	//IPV4    string      `json:"ipv4,omitempty"`
	//IPV6    string      `json:"ipv6,omitempty"`
	//Iface   string      `json:"iface,omitempty"`
	//Mac     string      `json:"mac,omitempty"`
	//
	//DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
	//
	//mtx sync.RWMutex `json:"-"`

	Network 		string	`json:"network, omitempty"`
	Iface			string	`json:"iface, omitempty"`
	MetaIPTypeKey	string	`json:"metaIPTypeKey, omitempty"`
	Address			string	`json:"address, omitempty"`
	Mac				string	`json:"mac, omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`

	mtx sync.RWMutex `json:"-"`
}
